Package org.springframework.http.server.reactive.observation

# Enum Class ServerHttpObservationDocumentation

java.lang.Object
java.lang.Enum<ServerHttpObservationDocumentation>
org.springframework.http.server.reactive.observation.ServerHttpObservationDocumentation

All Implemented Interfaces:
  `io.micrometer.observation.docs.ObservationDocumentation`, `Serializable`, `Comparable<ServerHttpObservationDocumentation>`, `Constable`

public enum ServerHttpObservationDocumentation extends Enum<ServerHttpObservationDocumentation> implements io.micrometer.observation.docs.ObservationDocumentation
Documented `KeyValues` for the HTTP server observations for reactive web applications.

This class is used by automated tools to document KeyValues attached to the HTTP server observations.

Since:
  6.0
Author:
  Brian Clozel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ServerHttpObservationDocumentation.HighCardinalityKeyNames`
`static enum`
`ServerHttpObservationDocumentation.LowCardinalityKeyNames`

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HTTP_REACTIVE_SERVER_REQUESTS`
HTTP request observations for reactive servers.

## Field Summary

### Fields inherited from interface io.micrometer.observation.docs.ObservationDocumentation

`EMPTY, EMPTY_EVENT_NAMES`

## Method Summary

Modifier and Type
Method
Description
`static ServerHttpObservationDocumentation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ServerHttpObservationDocumentation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.micrometer.observation.docs.ObservationDocumentation

`getContextualName, getDefaultConvention, getEvents, getHighCardinalityKeyNames, getLowCardinalityKeyNames, getName, getPrefix, observation, observation, observation, start, start, start`

## Enum Constant Details

### HTTP_REACTIVE_SERVER_REQUESTS

public static final ServerHttpObservationDocumentation HTTP_REACTIVE_SERVER_REQUESTS
HTTP request observations for reactive servers.

## Method Details

### values

public static ServerHttpObservationDocumentation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ServerHttpObservationDocumentation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null